Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## de.grogra.math
Class VertexSetBase

    java.lang.Object
      de.grogra.persistence.ShareableBase
          de.grogra.graph.impl.ContextDependentBase
              de.grogra.math.VertexSetBase

All Implemented Interfaces:
  ContextDependent, VertexSet, Manageable, Shareable

Direct Known Subclasses:
  VertexGridImpl, VertexListImpl

    public abstract class VertexSetBase

extends ContextDependentBase
implements VertexSet

Nested Class Summary
`static class` | `VertexSetBase.Type`

Field Summary
`static VertexSetBase.Type` | `$TYPE`
`protected float[]` | `data`
`static SCOType.Field` | `data$FIELD`
`protected int` | `dimension`
`static SCOType.Field` | `dimension$FIELD`

Constructor Summary
`protected` | `VertexSetBase()`

Method Summary
`boolean` | `dependsOnContext()` Determines whether this object actually depends on context.
`float[]` | `getData()`
`int` | `getDimension()`
`int` | `getDimension(GraphState gs)`
`int` | `getVertex(float[] out, int index, GraphState gs)`
`protected int` | `getVertexIndex(int index)`
`boolean` | `isRational(GraphState gs)`
`void` | `setData(float[] value)`
`void` | `setDimension(int value)`

Methods inherited from class de.grogra.graph.impl.ContextDependentBase
`writeStamp`

Methods inherited from class de.grogra.persistence.ShareableBase
`addReference, appendReferencesTo, fieldModified, getProvider, getStamp, initProvider, manageableReadResolve, manageableWriteReplace, removeReference`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface de.grogra.graph.ContextDependent
`writeStamp`

Methods inherited from interface de.grogra.persistence.Manageable
`getManageableType`

Field Detail

### $TYPE

    public static final VertexSetBase.Type $TYPE

### data

    protected float[] data

### data$FIELD

    public static final SCOType.Field data$FIELD

### dimension

    protected int dimension

### dimension$FIELD

    public static final SCOType.Field dimension$FIELD

Constructor Detail

### VertexSetBase

    protected VertexSetBase()

Method Detail

### dependsOnContext

    public boolean dependsOnContext()

  Description copied from interface: `ContextDependent`
  Determines whether this object actually depends on context.

  Specified by:
    `dependsOnContext` in interface `ContextDependent`
  Returns:
    `true` iff this object depends on context

### getData

    public float[] getData()

### getDimension

    public int getDimension()

### getDimension

    public int getDimension(GraphState gs)

  Specified by:
    `getDimension` in interface `VertexSet`

### getVertex

    public int getVertex(float[] out,
                         int index,
                         GraphState gs)

  Specified by:
    `getVertex` in interface `VertexSet`

### getVertexIndex

    protected int getVertexIndex(int index)

### isRational

    public boolean isRational(GraphState gs)

  Specified by:
    `isRational` in interface `VertexSet`

### setData

    public void setData(float[] value)

### setDimension

    public void setDimension(int value)

Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD